
singleton Material(F250_Metal)
{
   mapTo = "Metal";
   diffuseColor[0] = "0.2126704 0.2126704 0.2126704 1";
   specular[0] = "0.420779 0.420779 0.420779 1";
   specularPower[0] = "22";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Rubber)
{
   mapTo = "Rubber";
   diffuseColor[0] = "0.226584 0.226584 0.226584 1";
   specularPower[0] = "25";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Rims)
{
   mapTo = "Rims";
   diffuseColor[0] = "0.874271 0.874271 0.874271 1";
   specularPower[0] = "91";
   doubleSided = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(F250_Plastic)
{
   mapTo = "Plastic";
   diffuseColor[0] = "0.358841 0.358841 0.358841 1";
   specularPower[0] = "25";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Aluminum)
{
   mapTo = "Aluminum";
   diffuseColor[0] = "0.723042 0.723042 0.723042 1";
   specular[0] = "0.506494 0.506494 0.506494 1";
   specularPower[0] = "91";
   doubleSided = "1";
   translucentBlendOp = "None";
};


singleton Material(F250_Paint)
{
   mapTo = "Paint";
   doubleSided = "1";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_police.dds";
   //specularMap[3] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.21 0.414375 0.235436 1";
   diffuseColor[1] = "0.21 0.414375 0.235436 1";
   diffuseColor[2] = "0.21 0.414375 0.235436 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0.3 0.9 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(F250_Interior)
{
   mapTo = "Interior";
   diffuseColor[0] = "0.420471 0.420471 0.420471 1";
   specular[0] = "0.175497 0.175497 0.175497 1";
   specularPower[0] = "7";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Paint_2)
{
   mapTo = "Paint_2";
   doubleSided = "1";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_police.dds";
   //specularMap[3] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.963786 0.966897 0.882302 1";
   diffuseColor[1] = "0.963786 0.966897 0.882302 1";
   diffuseColor[2] = "0.963786 0.966897 0.882302 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0.3 0.9 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(F250_pickup_gauges_001)
{
   mapTo = "pickup_gauges_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Mirror)
{
   mapTo = "Mirror";
   diffuseColor[0] = "0.0985042 0.0985042 0.0985042 1";
   specular[0] = "0.506494 0.506494 0.506494 1";
   specularPower[0] = "91";
   doubleSided = "1";
   translucentBlendOp = "None";
   cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(F250_Taillights_001)
{
   mapTo = "Taillights_001";
   diffuseColor[0] = "0.393639 0.04382 0.041782 1";
   specular[0] = "0.655844 0.655844 0.655844 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Signal_001)
{
   mapTo = "Signal_001";
   diffuseColor[0] = "1 0.351957 0.0538461 1";
   specular[0] = "0.655844 0.655844 0.655844 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Headlights_001)
{
   mapTo = "Headlights_001";
   specular[0] = "0.655844 0.655844 0.655844 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Taillights)
{
   mapTo = "Taillights";
   diffuseColor[0] = "0.393639 0.04382 0.041782 1";
   specular[0] = "0.655844 0.655844 0.655844 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Glass)
{
   mapTo = "Glass";
   diffuseColor[0] = "0 0 0 .15";
   doubleSided = "1";
   translucent = "1";
};

singleton Material(pickup_glass_dmg)
{
  mapTo = "Glass_dmg";
   diffuseMap[0] = "vehicles/pickup/pickup_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/pickup/pickup_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(F250_grille)
{
   mapTo = "grille";
   diffuseColor[0] = "0.280445 0.280445 0.280445 1";
   specular[0] = "0.420779 0.420779 0.420779 1";
   specularPower[0] = "22";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Badge)
{
   mapTo = "Badge";
   diffuseColor[0] = "0.0180827 0.0284431 0.261195 1";
   specularPower[0] = "25";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_signal_R_001)
{
   mapTo = "signal_R_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_signal_L_001)
{
   mapTo = "signal_L_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_lowpressure_001)
{
   mapTo = "lowpressure_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_abs_001)
{
   mapTo = "abs_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_lowfuel_001)
{
   mapTo = "lowfuel_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_checkengine_001)
{
   mapTo = "checkengine_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_hazard_001)
{
   mapTo = "hazard_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_highbeam_001)
{
   mapTo = "highbeam_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_battery_001)
{
   mapTo = "battery_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_parkingbrake_001)
{
   mapTo = "parkingbrake_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Signal)
{
   mapTo = "Signal";
   diffuseColor[0] = "1 0.351957 0.0538461 1";
   specular[0] = "0.655844 0.655844 0.655844 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Headlights)
{
   mapTo = "Headlights";
   specular[0] = "0.655844 0.655844 0.655844 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Paint_003)
{
   mapTo = "Paint_003";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_Paint_001)
{
   mapTo = "Paint_001";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_pickup_001)
{
   mapTo = "pickup_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(F250_pickup_002)
{
   mapTo = "pickup_002";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "13.5 13.5 13.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};
